libzypp 17.37.10

zypp::sat::Transaction::FilterAction Struct Reference

`#include <zypp/sat/Transaction.h>`

## Public Member Functions
| FilterAction ()
| FilterAction (StepStages filter_r)
bool | operator() (const Transaction::Step &step_r) const

## Public Attributes
StepStages | _filter

## Detailed Description

Definition at line 365 of file Transaction.h.

## Constructor & Destructor Documentation

## ◆ FilterAction() [1/2]

zypp::sat::Transaction::FilterAction::FilterAction | ( |  | ) |
| inline

Definition at line 367 of file Transaction.h.

## ◆ FilterAction() [2/2]

zypp::sat::Transaction::FilterAction::FilterAction | ( | StepStages | filter_r | ) |
| inline

Definition at line 368 of file Transaction.h.

## Member Function Documentation

## ◆ operator()()

bool zypp::sat::Transaction::FilterAction::operator() | ( | const Transaction::Step & | step_r | ) | const
| inline

Definition at line 370 of file Transaction.h.

## Member Data Documentation

## ◆ _filter

StepStages zypp::sat::Transaction::FilterAction::_filter

Definition at line 377 of file Transaction.h.

The documentation for this struct was generated from the following file:

- zypp/sat/Transaction.h